## webkitgtk 2.4.8

=== debian/changelog ===
webkitgtk (2.4.8-1ubuntu1~ubuntu14.10.1) utopic; urgency=medium

  * Merge with vivid / unstable for SRU (LP: #1415577), reverting changes that
    aren't wanted:
    - Don't build -dbg packages if we don't have debugging symbols
    - Make all gir and -dev packages multi-arch compliant

 -- Iain Lane <iain.lane@canonical.com>  Wed, 28 Jan 2015 17:42:53 +0000

webkitgtk (2.4.8-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Stick on geoclue 1 for now, the new version isn't in main and a
      transition plan needs to be worked out, for example for how to integrate
      the Ubuntu GeoIP service.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 22 Jan 2015 11:00:30 +0000

webkitgtk (2.4.8-1) unstable; urgency=medium

  * New upstream release, which includes some of the patches already
    available in Debian plus security fixes for CVE-2014-1344,
    CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387,
    CVE-2014-1388, CVE-2014-1389 and CVE-2014-1390.
  * debian/patches/dfg-jit.patch,
    debian/patches/enable_llint.patch,
    debian/patches/flash-crash.patch,
    debian/patches/local-label-string-hurd.patch,
    debian/patches/no-ssl-record-version.patch,
    debian/patches/nullptr-applystylecommand.patch,
    debian/patches/protect-document.patch,
    debian/patches/touch-event.patch:
     + Remove.
  * debian/patches/fix-ftbfs-pluginpackage.patch:
    + Fix FTBFS.

 -- Alberto Garcia <berto@igalia.com>  Sat, 17 Jan 2015 14:19:43 +0200

webkitgtk (2.4.8-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Drop patches from 2.4.7-3 which are applied upstream in this release:
    - dfg-jit.patch
    - enable_llint.patch
    - local-label-string-hurd.patch
    - x32_support.patch
    - touch-event.patch
    - flash-crash.patch
    - no-ssl-record-version.patch
    - protect-document.patch
    - nullptr-applystylecommand.patch
  * debian/patches/no-pluginnone.patch: Don't define symbols twice when
    building with both X11 and wayland support.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Jan 2015 15:24:52 +0000

webkitgtk (2.4.7-3) unstable; urgency=medium

  * debian/patches/ppc64-align.patch:
    + Fix crash in ppc64el (Closes: #762670).
  * debian/patches/no-ssl-record-version.patch:
    + Don't use a SSL3.0 record version in client hello.
  * debian/patches/protect-document.patch:
    + Protect Document in ProcessingInstruction::setXSLStyleSheet(). This
      is a security fix, see https://codereview.chromium.org/579133004.
  * debian/patches/nullptr-accessibilitymenulistoption.patch:
    + Check for NULL pointers in AccessibilityMenuListOption.
  * debian/patches/nullptr-applystylecommand.patch:
    + Check for NULL pointer in ApplyStyleCommand.
  * debian/patches/nullptr-frameprogresstracker.patch:
    + Check for NULL pointer in FrameProgressTracker.
  * debian/patches/render-text-control.patch:
    + Check for NULL pointer in SearchInputType.
  * debian/patches/ax-focus-events.patch:
    + Fix accessible focus events in non-focused combo boxes.

 -- Alberto Garcia <berto@igalia.com>  Mon, 08 Dec 2014 13:26:23 +0100

webkitgtk (2.4.7-2ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Stick on geoclue 1 for now, the new version isn't in main and a
      transition plan needs to be worked out, for example for how to integrate
      the Ubuntu GeoIP service.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 20 Nov 2014 10:59:54 +0000

webkitgtk (2.4.7-2) unstable; urgency=medium

  * debian/patches/touch-event.patch:
    + Fix crash in EventPath::updateTouchLists() (Closes: #761492).
  * debian/patches/flash-crash.patch:
    + Fix crash in the Flash player (Closes: #768929).

 -- Alberto Garcia <berto@igalia.com>  Tue, 11 Nov 2014 12:43:45 +0200

webkitgtk (2.4.7-1~ubuntu14.10.1) utopic; urgency=medium

  * Merge with vivid / unstable for SRU (LP: #1371041), reverting changes that
    aren't wanted:
    - Don't build -dbg packages if we don't have debugging symbols
    - Make all gir and -dev packages multi-arch compliant

 -- Iain Lane <iain.lane@canonical.com>  Mon, 03 Nov 2014 13:01:18 +0000

webkitgtk (2.4.7-1ubuntu1) vivid; urgency=medium

  * Merge with Debian, remaining changes:
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Stick on geoclue 1 for now, the new version isn't in main and a
      transition plan needs to be worked out, for example for how to integrate
      the Ubuntu GeoIP service.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 03 Nov 2014 11:47:06 +0000

webkitgtk (2.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Thu, 23 Oct 2014 12:08:40 +0300

webkitgtk (2.4.6-2) unstable; urgency=medium

  * debian/rules:
    + Enable JIT in armhf (Closes: #764341).
  * debian/control:
    + Bump Standards-Version to 3.9.6; no changes needed.

 -- Alberto Garcia <berto@igalia.com>  Thu, 16 Oct 2014 19:23:38 +0300
