## webkitgtk 2.4.9

=== debian/changelog ===
webkitgtk (2.4.9-1~deb8u1) stable; urgency=high

  * New upstream release.
    + This fixes CVE-2015-2330.
  * debian/patches/ax-focus-events.patch,
    debian/patches/fix-ftbfs-pluginpackage.patch,
    debian/patches/fix-mips64-build.patch,
    debian/patches/fix-textrel-x86.patch,
    debian/patches/g-closure-unref.diff,
    debian/patches/nullptr-accessibilitymenulistoption.patch,
    debian/patches/nullptr-frameprogresstracker.patch,
    debian/patches/render-text-control.patch:
    + Remove.
  * debian/patches/02_notebook_scroll.patch,
    debian/patches/fix-arm64-build.patch,
    debian/patches/restore_sparc_code.patch,
    debian/patches/x32_support.patch:
    + Refresh.
  * debian/source/lintian-overrides:
    + lintian gives false positives with many of the javascript files in
      the source tarball, thinking that they are minified (see #798900).

 -- Alberto Garcia <berto@igalia.com>  Tue, 29 Sep 2015 14:31:34 +0300

webkitgtk (2.4.8-2) unstable; urgency=medium

  * debian/patches/g-closure-unref.diff:
    + Fix use-after-free warning when loading page into WebView
     (Closes: #780444).
  * debian/patches/fix-cloop.patch:
    + Fix crash on powerpc (Closes: #771841).

 -- Alberto Garcia <berto@igalia.com>  Thu, 26 Mar 2015 23:49:21 +0200
