=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: webkitgtk
 Priority: optional
 Section: web
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
+Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Gustavo Noronha Silva <kov@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Alberto Garcia <berto@igalia.com>
@@ -40,7 +39,7 @@
                libgstreamer-plugins-base1.0-dev (>= 1.0.3),
                libenchant-dev (>= 0.22),
                gtk-doc-tools,
-               libgeoclue-dev,
+               geoclue-2.0,
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
@@ -74,6 +73,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Conflicts: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
 Replaces: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
 Depends: libjavascriptcoregtk-1.0-0 (= ${binary:Version}),
@@ -116,6 +116,7 @@
          ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base (>= 1.0.3),
             gstreamer1.0-plugins-good,
+            geoclue-2.0,
             ${gst:Recommends}
 Breaks: midori (<< 0.4.1-2), claws-mail-fancy-plugin (<< 3.7.10-3)
 Description: Web content engine library for GTK+
@@ -133,8 +134,8 @@
 Package: libwebkit-dev
 Section: oldlibs
 Priority: extra
-Architecture: any
-Depends: libwebkitgtk-dev (= ${binary:Version}), ${misc:Depends}
+Architecture: all
+Depends: libwebkitgtk-dev, ${misc:Depends}
 Description: Transitional package for the development files of WebKitGTK+
  This is a dummy package and can be safely removed after all
  packages start depending on the new one.
@@ -143,6 +144,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
          libgtk2.0-dev (>= 2.24.10),
          libsoup2.4-dev (>= 2.42),
@@ -219,6 +221,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Conflicts: libwebkitgtk-3.0-dev (<< 1.5.0)
 Replaces: libwebkitgtk-3.0-dev (<< 1.5.0)
 Depends: libjavascriptcoregtk-3.0-0 (= ${binary:Version}),
@@ -270,6 +273,7 @@
 Package: gir1.2-javascriptcoregtk-3.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
 Conflicts: gobject-introspection-repository, gir1.0-webkit-3.0, gir1.2-webkit-3.0 (<< 1.5.0)
@@ -296,6 +300,7 @@
          ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base,
             gstreamer1.0-plugins-good,
+            geoclue-2.0,
             ${gst:Recommends}
 Description: Web content engine library for GTK+
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
