## webkitgtk 2.4.10

=== debian/changelog ===
webkitgtk (2.4.10-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Updated to 2.4.10 to fix multiple security issues
    (LP: #1556964)
    - CVE-2015-1120, CVE-2015-1076, CVE-2015-1071, CVE-2015-1081,
      CVE-2015-1122, CVE-2015-1155, CVE-2014-1748, CVE-2015-3752,
      CVE-2015-5809, CVE-2015-5928, CVE-2015-3749, CVE-2015-3659,
      CVE-2015-3748, CVE-2015-3743, CVE-2015-3731, CVE-2015-3745,
      CVE-2015-5822, CVE-2015-3658, CVE-2015-3741, CVE-2015-3727,
      CVE-2015-5801, CVE-2015-5788, CVE-2015-3747, CVE-2015-5794,
      CVE-2015-1127, CVE-2015-1153, CVE-2015-1083
  * Dropped upstreamed patches:
    - fix-gtkdoc-error.patch, atomic_build_fix.patch,
      fix-textrel-x86.patch, ppc64-align.patch, render-text-control.patch,
      nullptr-frameprogresstracker.patch,
      nullptr-accessibilitymenulistoption.patch, ax-focus-events.patch,
      fix-ftbfs-pluginpackage.patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Mar 2016 08:10:33 -0400

webkitgtk (2.4.8-1ubuntu1~ubuntu14.04.1) trusty; urgency=medium

  * Merge with Utopic / unstable for Trusty SRU (LP: #1415577).
  * Reverted unwanted changes from utopic:
    - debian/control:
      + Require make 4.0, which is the version that can make parallel builds
        of webkitgtk.
      + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
        armhf.
    - debian/patches/x32_support.patch:
      + Fix FTBFS in x32
    - debian/patches/local-label-string-hurd.patch:
      + Fix FTBFS in hurd-i386.
    - Drop gir1.2-javascriptcore-1.0 and gir1.2-webkit-1.0.
     - debian/patches/fix-mips64-build.patch:
      + Fix mips64 build.
    - Make all gir and -dev packages multi-arch compliant
    - Don't build -dbg packages if we don't have debugging symbols

 -- Iain Lane <iain.lane@canonical.com>  Wed, 28 Jan 2015 18:00:25 +0000

webkitgtk (2.4.7-1~ubuntu1) trusty; urgency=medium

  * Merge with Utopic / unstable for Trusty SRU (LP: #1371041).
  * Reverted unwanted changes from utopic:
    - debian/control:
      + Require make 4.0, which is the version that can make parallel builds
        of webkitgtk.
      + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
        armhf.
    - debian/patches/x32_support.patch:
      + Fix FTBFS in x32
    - debian/patches/local-label-string-hurd.patch:
      + Fix FTBFS in hurd-i386.
    - Drop gir1.2-javascriptcore-1.0 and gir1.2-webkit-1.0.
     - debian/patches/fix-mips64-build.patch:
      + Fix mips64 build.
    - Make all gir and -dev packages multi-arch compliant
    - Don't build -dbg packages if we don't have debugging symbols

webkitgtk (2.4.6-1~ubuntu1) trusty; urgency=medium

  * Merge with Utopic / unstable for Trusty SRU (LP: #1371041).
  * Reverted unwanted changes from utopic:
    - debian/control:
      + Require make 4.0, which is the version that can make parallel builds
        of webkitgtk.
      + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
        armhf.
    - debian/patches/x32_support.patch:
      + Fix FTBFS in x32
    - debian/patches/local-label-string-hurd.patch:
      + Fix FTBFS in hurd-i386.
    - Drop gir1.2-javascriptcore-1.0 and gir1.2-webkit-1.0.
     - debian/patches/fix-mips64-build.patch:
      + Fix mips64 build.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Oct 2014 13:05:54 +0100

webkitgtk (2.4.5-2~ubuntu1) trusty; urgency=medium

  * Merge with Utopic / unstable for Trusty SRU (LP: #1371041).
  * Reverted unwanted changes from utopic:
    - debian/control:
      + Require make 4.0, which is the version that can make parallel builds
        of webkitgtk.
      + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
        armhf.
    - debian/patches/x32_support.patch:
      + Fix FTBFS in x32
    - debian/patches/local-label-string-hurd.patch:
      + Fix FTBFS in hurd-i386.
    - Drop gir1.2-javascriptcore-1.0 and gir1.2-webkit-1.0.
     - debian/patches/fix-mips64-build.patch:
      + Fix mips64 build.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 18 Sep 2014 11:39:58 +0100

webkitgtk (2.4.4-1~ubuntu1) trusty; urgency=medium

  * Merge with Utopic / unstable for Trusty SRU (LP: #1340690).
  * Reverted unwanted changes from utopic:
    - debian/control:
      + Require make 4.0, which is the version that can make parallel builds
        of webkitgtk.
      + Build depend on libegl1-mesa-dev and libgles2-mesa-dev on armel and
        armhf.
    - debian/patches/x32_support.patch:
      + Fix FTBFS in x32
    - debian/patches/local-label-string-hurd.patch:
      + Fix FTBFS in hurd-i386.
    - Drop gir1.2-javascriptcore-1.0 and gir1.2-webkit-1.0.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 14 Aug 2014 16:35:56 +0100

webkitgtk (2.4.3-1ubuntu2) trusty; urgency=medium

  * Don't fail the build on gtk-doc warnings.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Jun 2014 22:14:56 +0100

webkitgtk (2.4.3-1ubuntu1) trusty; urgency=medium

  * SRU upstream bugfix release to Trusty (LP: #1326359)
  * Merge with Debian. Remaining changes:
    - Build for ppc64el and arm64
    - bugzilla_clear_surface.patch: Take patch to fix upstream bug#123480
      which was a crash affecting software-center in Ubuntu.
    - Don't use COMPARE_AND_SWAP and other snippets of asm on arm64; the
      compiler complains that they are invalid.
  * Reverted unwanted changes from unstable:
    - debian/control:
      + Require make 4.0, which is the version that can make parallel builds
        of webkitgtk.
    - debian/patches/x32_support.patch:
      + Fix FTBFS in x32
    - debian/patches/local-label-string-hurd.patch:
      + Fix FTBFS in hurd-i386.
    - debian/control:
      + Switch to geoclue 2 (Closes: #743606).

 -- Iain Lane <iain.lane@canonical.com>  Wed, 04 Jun 2014 13:00:01 +0100

webkitgtk (2.4.2-1ubuntu0.1) trusty; urgency=medium

  * SRU upstream bugfix release to Trusty (LP: #1313584)
  * Merge with Debian. Remaining changes:

