=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: webkitgtk
 Priority: optional
 Section: web
-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Gustavo Noronha Silva <kov@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Alberto Garcia <berto@igalia.com>
 Build-Depends: gawk,
-               make (>= 4.0),
                debhelper (>= 9),
                dh-autoreconf,
                libglib2.0-dev (>= 2.36.0),
@@ -39,13 +39,11 @@
                libgstreamer-plugins-base1.0-dev (>= 1.0.3),
                libenchant-dev (>= 0.22),
                gtk-doc-tools,
-               geoclue-2.0,
+               libgeoclue-dev,
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
-               libgl1-mesa-dev [!armel !armhf],
-               libegl1-mesa-dev [armel armhf],
-               libgles2-mesa-dev [armel armhf]
+               libgl1-mesa-dev
 Build-Conflicts: gir-repository-dev
 Standards-Version: 3.9.6
 Homepage: http://webkitgtk.org/
@@ -73,10 +71,10 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Multi-Arch: same
 Conflicts: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
 Replaces: libwebkitgtk-dev (<< 1.5.0), libwebkit-dev (<< 1.5.0)
 Depends: libjavascriptcoregtk-1.0-0 (= ${binary:Version}),
+         gir1.2-javascriptcoregtk-1.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: JavaScript engine library from WebKitGTK+ - development files
  JavaScriptCore is the JavaScript engine used in WebKit. It consists
@@ -104,6 +102,24 @@
  This build comes from the GTK+ port of WebKit (API version 1.0).
  .
  This package contains the debugging symbols.
+
+Package: gir1.2-javascriptcoregtk-1.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${misc:Depends}
+Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0, gir1.2-webkit-1.0 (<< 1.5.0)
+Replaces: gir1.2-webkit-1.0 (<< 1.5.0)
+Description: JavaScript engine library from WebKitGTK+ - GObject introspection data
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK+ port of WebKit (API version 1.0).
+ .
+ This package contains the introspection data, which can be used by
+ packages using the GIRepository format to generate dynamic bindings.
 
 Package: libwebkitgtk-1.0-0
 Section: libs
@@ -116,7 +132,6 @@
          ${misc:Depends}
 Recommends: gstreamer1.0-plugins-base (>= 1.0.3),
             gstreamer1.0-plugins-good,
-            geoclue-2.0,
             ${gst:Recommends}
 Breaks: midori (<< 0.4.1-2), claws-mail-fancy-plugin (<< 3.7.10-3)
 Description: Web content engine library for GTK+
@@ -134,8 +149,8 @@
 Package: libwebkit-dev
 Section: oldlibs
 Priority: extra
-Architecture: all
-Depends: libwebkitgtk-dev, ${misc:Depends}
+Architecture: any
+Depends: libwebkitgtk-dev (= ${binary:Version}), ${misc:Depends}
 Description: Transitional package for the development files of WebKitGTK+
  This is a dummy package and can be safely removed after all
  packages start depending on the new one.
@@ -144,8 +159,8 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Multi-Arch: same
 Depends: libwebkitgtk-1.0-0 (= ${binary:Version}),
+         gir1.2-webkit-1.0 (= ${binary:Version}),
          libgtk2.0-dev (>= 2.24.10),
          libsoup2.4-dev (>= 2.42),
          libjavascriptcoregtk-1.0-dev (= ${binary:Version}),
@@ -200,6 +215,26 @@
  .
  This package provides the debugging symbols.
 
+Package: gir1.2-webkit-1.0
+Section: introspection
+Architecture: any
+Depends: gir1.2-javascriptcoregtk-1.0 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends}
+Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0
+Description: Web content engine library for GTK+ - GObject introspection data
+ WebKit is a web content engine, derived from KHTML and KJS from KDE, and
+ used primarily in Apple's Safari browser.  It is made to be embedded in
+ other applications, such as mail readers, or web browsers.
+ .
+ It is able to display content such as HTML, SVG, XML, and others. It also
+ supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
+ .
+ This build comes from the GTK+ port of WebKit (API version 1.0).
+ .
+ This package contains introspection data, which can be used by
+ packages using the GIRepository format to generate dynamic bindings.
+
 Package: libjavascriptcoregtk-3.0-0
 Section: libs
 Architecture: any
@@ -221,7 +256,6 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Multi-Arch: same
 Conflicts: libwebkitgtk-3.0-dev (<< 1.5.0)
 Replaces: libwebkitgtk-3.0-dev (<< 1.5.0)
 Depends: libjavascriptcoregtk-3.0-0 (= ${binary:Version}),
@@ -270,45 +304,3 @@
  .
  This package provides jsc, a command-line JavaScript interpreter.
 
-Package: gir1.2-javascriptcoregtk-3.0
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
-Conflicts: gobject-introspection-repository, gir1.0-webkit-3.0, gir1.2-webkit-3.0 (<< 1.5.0)
-Replaces: gir1.2-webkit-3.0 (<< 1.5.0)
-Description: JavaScript engine library from WebKitGTK+ - GObject introspection data
- JavaScriptCore is the JavaScript engine used in WebKit. It consists
- of the following building blocks: lexer, parser, start-up interpreter
- (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
- high-throughput optimizing JIT (FTL).
- .
- This build comes from the GTK+ port of WebKit (API version 3.0).
- .
- This package contains the introspection data, which can be used by
- packages using the GIRepository format to generate dynamic bindings.
-
-Package: libwebkitgtk-3.0-0
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libjavascriptcoregtk-3.0-0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         libwebkitgtk-3.0-common (>= ${source:Upstream-Version}),
-         ${misc:Depends}
-Recommends: gstreamer1.0-plugins-base,
-            gstreamer1.0-plugins-good,
-            geoclue-2.0,
-            ${gst:Recommends}
-Description: Web content engine library for GTK+
- WebKit is a web content engine, derived from KHTML and KJS from KDE, and
- used primarily in Apple's Safari browser.  It is made to be embedded in
- other applications, such as mail readers, or web browsers.
- .
- It is able to display content such as HTML, SVG, XML, and others. It also
- supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
- .
- This build comes from the GTK+ port of WebKit (API version 3.0).
- .
