=== debian/rules ===
--- 
+++ 
@@ -79,10 +79,11 @@
 	COMMON_CONFIGURE_ARGUMENTS += --enable-debug
 endif
 
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEARGUMENTS += -j$(NUMJOBS)
-endif
+# Parallel builds are unstable, see #714072 and #722520
+# ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+# 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+# 	MAKEARGUMENTS += -j$(NUMJOBS)
+# endif
 
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends=""
@@ -204,9 +205,11 @@
 	dh_install -plibjavascriptcoregtk-1.0-0 --sourcedir=debian/tmp-2.0
 	dh_install -plibjavascriptcoregtk-1.0-dev --sourcedir=debian/tmp-2.0
 	dh_install -plibjavascriptcoregtk-1.0-0-dbg --sourcedir=debian/tmp-2.0
+	dh_install -pgir1.2-javascriptcoregtk-1.0 --sourcedir=debian/tmp-2.0
 	dh_install -plibwebkitgtk-1.0-0 --sourcedir=debian/tmp-2.0
 	dh_install -plibwebkitgtk-dev --sourcedir=debian/tmp-2.0
 	dh_install -plibwebkitgtk-1.0-0-dbg --sourcedir=debian/tmp-2.0
+	dh_install -pgir1.2-webkit-1.0 --sourcedir=debian/tmp-2.0
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
 	dh_install -plibjavascriptcoregtk-3.0-0 --sourcedir=debian/tmp-3.0
@@ -234,9 +237,3 @@
 endif
 ifeq (3.0,$(filter 3.0,$(GTK_VERSIONS)))
 	dh_strip -plibjavascriptcoregtk-3.0-0 --dbg-package=libjavascriptcoregtk-3.0-0-dbg
-	dh_strip -plibjavascriptcoregtk-3.0-bin
-	dh_strip -plibwebkitgtk-3.0-0 --dbg-package=libwebkitgtk-3.0-0-dbg
-ifeq ($(ENABLE_WEBKIT2),yes)
-	dh_strip -plibwebkit2gtk-3.0-25 --dbg-package=libwebkit2gtk-3.0-25-dbg
-endif
-endif
